The StompException class

- « StompFrame::__construct

- StompException::getDetails »

- PHP Manual
- Stomp
- The StompException class

# The StompException class

(PECL stomp >= 0.1.0)

## Introduction

Represents an error raised by the stomp extension. See Exceptions for more information about Exceptions in PHP.

## Class synopsis

class StompException extends Exception {
/* Inherited methods */
final public Exception::getMessage(): string
final public Exception::getPrevious(): ?Throwable
final public Exception::getCode(): int
final public Exception::getFile(): string
final public Exception::getLine(): int
final public Exception::getTrace(): array
final public Exception::getTraceAsString(): string
public Exception::__toString(): string
private Exception::__clone(): void
/* Methods */
public getDetails(): string
}

## Table of Contents

- StompException::getDetails — Get exception details